#
# spec file for package gnuplot (Version 3.7.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake libpng libz plotutil readline readline-devel svgalib tetex xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl plotutil ps rcs readline readline-devel rpm sendmail sh-utils shadow strace svgalib syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnuplot
Copyright:    1986 - 1993, 1998, 1999 Thomas Williams, Colin Kelley
Group:        Applications/Engineering
Provides:     gnuplot
Autoreqprov:  on
Version:      3.7.1
Release:      229
Summary:      Function plotting utility
Source0: gnuplot-3.7.1.tar.bz2
Source1: gnuplot-3.7.1-patches.tar.bz2
Source2: gnuplot-fr.doc.bz2
Patch0:  gnuplot-3.7.1.dif
Patch1:  gnuplot-3.7.1-mant_exp.diff

%description
Gnuplot is a command-line driven interactive function plotting
utility.  Gnuplot supports many different types of terminals,
plotters, and printers (including many color devices, and
pseudo-devices like LaTeX) and can easily be extended to include
new devices.

Authors:
--------
    Mailingliste <bug-gnuplot@dartmouth.edu>
    Mailingliste <info-gnuplot@dartmouth.edu>
    Mailingliste <info-gnuplot-beta@dartmouth.edu>
    Mailingliste <info-gnuplot-request@dartmouth.edu>

SuSE series: xap

%prep
%setup -n gnuplot-%{version}
tar OxfI $RPM_SOURCE_DIR/gnuplot-%{version}-patches.tar.bz2 | patch -p1 -s --suffix=".patch"
bunzip2 -dc $RPM_SOURCE_DIR/gnuplot-fr.doc.bz2 > docs/gnuplot-fr.doc
test $? -eq 0 || exit 1
%patch -P 0 -p 0
%patch1

%build
 make -f Makefile.Linux compile DOCS=%{_defaultdocdir} INFO=%{_infodir} MAN=%{_mandir}

%install
 make -f Makefile.Linux install DOCS=%{_defaultdocdir} INFO=%{_infodir} MAN=%{_mandir}
 rm -rf   %{_defaultdocdir}/gnuplot/doc/*.dvi
 rm -rf   %{_defaultdocdir}/gnuplot/doc/*.gz
 gzip -9f %{_defaultdocdir}/gnuplot/doc/*.ps

%files
%doc %{_defaultdocdir}/gnuplot/
/usr/bin/gnuplot
/usr/bin/gnuplot_x11
%doc %{_infodir}/gnuplot.info.gz
%doc %{_mandir}/man1/gnuplot.1.gz
/usr/share/gnuplot

%changelog -n gnuplot
* Tue Jun 12 2001 - schwab@suse.de
- Fix for new autoconf.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 29 2001 - garloff@suse.de
- Prevent stupid rounding errors 10*10^23 instead of 10^24
  in graphics.c: mant_exp()
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sun Dec 03 2000 - schwab@suse.de
- Fix resource leak in X11 terminal driver.
* Wed Jun 21 2000 - werner@suse.de
- Add French doc (somewhat out of date)
* Wed Jun 07 2000 - werner@suse.de
- New version 3.7.1 with many bug fixes included
* Tue Jun 06 2000 - uli@suse.de
- moved docs to /usr/share/doc
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Oct 11 1999 - ro@suse.de
- disabled gdlib support (we have png anyway and gd doesn't support
  gif any more)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 03 1999 - werner@suse.de
- Do not use system time because gnuplot interface isn't able
  to handle summer time
- Use /tmp/ for temporaray files of demos
* Wed Mar 10 1999 - werner@suse.de
- Fix from one of the authors (HBB) to avoid buffer overflow
* Tue Mar 09 1999 - werner@suse.de
- New patchlevel 0.1 with patch gnuplot.990304 for security
* Tue Mar 02 1999 - werner@suse.de
- New version: 3.7
  * add some official fixes
  * fix the official fix of fit.c
  * add gif and unixplot for output
* Sun Aug 23 1998 - bs@suse.de
- fixed "neededforbuild"
* Mon Jul 13 1998 - werner@suse.de
- New version: 3.5beta6.347
  * Security fix for svga linux driver call
  * Some enhancements
  * Some bug fixes
* Thu Oct 23 1997 - werner@suse.de
- New version: 3.5beta6.336
* Mon Feb 03 1997 - werner@suse.de
- Update auf Version 3.5-beta-3.6pl319
- Diese Version hat splines und bezier zum Fit fr
  von Messdaten.
- verschoben von ap1 -> xap1
* Thu Jan 02 1997 - werner@suse.de
- Neu Erstellen des Paketes:
  Mit vollstndiger Dokumentation und Beispielen
  unter /usr/doc/packages/gnuplot/
- fig und bfig (xfig-Format 2.1)
  wird von xfig in xfig-Format 3.2 konvertiert.
